# ArmaRAMDb: docs/basic Directory Reference

Loading...
Searching...
No Matches
basic Directory Reference

## Detailed Description

This section contains documentation for the basic data operations of ArmaRAMDb that allow for simple key-value storage and retrieval.

# Available Functions

- delete - Delete a value from the database
- fetch - Fetch a value from the database
- get - Get a value from the database
- load - Load the database from disk
- save - Save the database to disk
- set - Set a value in the database

# Example Usage

// Set a value
["myKey", [myValue]] call ramdb_db_fnc_set;
// Get a value
["myKey", "myFunction"] call ramdb_db_fnc_get;
// Delete a key
["myKey"] call ramdb_db_fnc_delete;
// Save database to disk
[] call ramdb_db_fnc_save;

# Related Categories

- Core Functions
- Hash Operations
- List Operations